#ifndef COSMOPOLITAN_LIBC_SYSV_CONSTS_CLOCK_H_
#define COSMOPOLITAN_LIBC_SYSV_CONSTS_CLOCK_H_
#include "libc/runtime/symbolic.h"
#if !(__ASSEMBLER__ + __LINKER__ + 0)
COSMOPOLITAN_C_START_

extern const int CLOCK_BOOTTIME;
extern const int CLOCK_BOOTTIME_ALARM;
extern const int CLOCK_MONOTONIC;
extern const int CLOCK_MONOTONIC_COARSE;
extern const int CLOCK_MONOTONIC_FAST;
extern const int CLOCK_MONOTONIC_PRECISE;
extern const int CLOCK_MONOTONIC_RAW;
extern const int CLOCK_PROCESS_CPUTIME_ID;
extern const int CLOCK_PROF;
extern const int CLOCK_REALTIME_ALARM;
extern const int CLOCK_REALTIME_COARSE;
extern const int CLOCK_REALTIME_FAST;
extern const int CLOCK_REALTIME_PRECISE;
extern const int CLOCK_SECOND;
extern const int CLOCK_TAI;
extern const int CLOCK_THREAD_CPUTIME_ID;
extern const int CLOCK_UPTIME;
extern const int CLOCK_UPTIME_FAST;
extern const int CLOCK_UPTIME_PRECISE;

COSMOPOLITAN_C_END_
#endif /* !(__ASSEMBLER__ + __LINKER__ + 0) */

#define CLOCK_REALTIME LITERALLY(0)

#define CLOCK_BOOTTIME           SYMBOLIC(CLOCK_BOOTTIME)
#define CLOCK_BOOTTIME_ALARM     SYMBOLIC(CLOCK_BOOTTIME_ALARM)
#define CLOCK_MONOTONIC          SYMBOLIC(CLOCK_MONOTONIC)
#define CLOCK_MONOTONIC_COARSE   SYMBOLIC(CLOCK_MONOTONIC_COARSE)
#define CLOCK_MONOTONIC_FAST     SYMBOLIC(CLOCK_MONOTONIC_FAST)
#define CLOCK_MONOTONIC_PRECISE  SYMBOLIC(CLOCK_MONOTONIC_PRECISE)
#define CLOCK_MONOTONIC_RAW      SYMBOLIC(CLOCK_MONOTONIC_RAW)
#define CLOCK_PROCESS_CPUTIME_ID SYMBOLIC(CLOCK_PROCESS_CPUTIME_ID)
#define CLOCK_PROF               SYMBOLIC(CLOCK_PROF)
#define CLOCK_REALTIME_ALARM     SYMBOLIC(CLOCK_REALTIME_ALARM)
#define CLOCK_REALTIME_COARSE    SYMBOLIC(CLOCK_REALTIME_COARSE)
#define CLOCK_REALTIME_FAST      SYMBOLIC(CLOCK_REALTIME_FAST)
#define CLOCK_REALTIME_PRECISE   SYMBOLIC(CLOCK_REALTIME_PRECISE)
#define CLOCK_SECOND             SYMBOLIC(CLOCK_SECOND)
#define CLOCK_TAI                SYMBOLIC(CLOCK_TAI)
#define CLOCK_THREAD_CPUTIME_ID  SYMBOLIC(CLOCK_THREAD_CPUTIME_ID)
#define CLOCK_UPTIME             SYMBOLIC(CLOCK_UPTIME)
#define CLOCK_UPTIME_FAST        SYMBOLIC(CLOCK_UPTIME_FAST)
#define CLOCK_UPTIME_PRECISE     SYMBOLIC(CLOCK_UPTIME_PRECISE)

#endif /* COSMOPOLITAN_LIBC_SYSV_CONSTS_CLOCK_H_ */
